<section>


  <p>
    Diese interne Seite dient lediglich zum Testen diverser Funktionalitäten
    und zur Demonstration der verschiedenen Hilfsfunktionen/Module.

    Der Handler sollte jeweils aktuelle Beispiele für alle möglichen Funktionalitäten enthalten, so dass man immer weiß, wo man nachschlagen kann.

 <p>
   ^{iconTooltip testTooltipMsg Nothing False}
   ^{messageTooltip msgInfoTooltip}
   ^{messageTooltip msgSuccessTooltip}
   ^{messageTooltip msgWarningTooltip}
   ^{messageTooltip msgErrorTooltip}
   ^{messageTooltip msgNonDefaultIconTooltip}

 <p>
  <span .tooltip>
    <span .tooltip__content>Kaufen Sie Tooltip-White für hellere Tooltips!
    Den Tooltip-Handle sollte man immer setzen, damit es auch auf Mobilgeräten und ohne Javascript funktioniert.

<section>
  <h2>Tabelle zu Fuss
   <table .table .table--striped>
    <tr .table__row .table__row--head>
      <th .table__th colspan=2> Kopf A
      <th .table__th rowspan=2> Kopf
    <tr .table__row .table__row--head>
      <th .table__th>
        B
        ^{iconTooltip testTooltipMsg Nothing True}
      <th .table__th> C
    <tr .table__row title="Ein Beispiel für ein Zeilentooltip">
        <td .table__td>1
        <td .table__td>2
        <td .table__td>3
    <tr .table__row>
        <td .table__td>
          <span .tooltip>
            <span .tooltip__content>Kaufen Sie Tooltip-White für hellere Tooltips! (GEHT NICHT)
          4
        <td .table__td>5
          <span .tooltip>
            <span .tooltip__content>Kaufen Sie Tooltip-Black für dunklere Tooltips! (GEHT NICHT)
            <td .table__td>6
    <tr .table__row>
        <td .table__td>7
        <td .table__td>8
        <td .table__td>9

<section>
  <h2>Funktionen zum Testen

  <ul>
    <li>
      Knopf-Test:
        ^{btnForm}
    <li>
      Modals:
      <ul>
        <li>^{modal "Klick mich für Ajax-Test" (Left $ SomeRoute UsersR)}
        <li>^{modal "Klick mich für Content-Test" (Right "Test Inhalt für Modal")}
        <li>^{modal "Email-Test" (Right emailWidget')}
    <li>
      Some icons: ^{isVisible False} ^{hasComment True}
